
hi,

Using 'if test -z $FOUND; then' when $FOUND is empty will result in
an error with shells other than the GUN/Linux one.  The apended patch
fixes this and makes the code more like the other test.

-- 
Hkan Hjort
d95hjort@dtek.chalmers.se


-- Attached file included as plaintext by Listar --

Index: configure.in
===================================================================
RCS file: /var/cvs/videolan/vlc/configure.in,v
retrieving revision 1.207
diff -p -u -d -r1.207 configure.in
--- configure.in	2001/12/20 22:11:53	1.207
+++ configure.in	2001/12/29 23:27:42
@@ -1131,16 +1131,12 @@ then
   # now look for the gtk.h header
   saved_CPPFLAGS=$CPPFLAGS
   CPPFLAGS="$CPPFLAGS $CFLAGS_GTK"
-  FOUND=
-  AC_CHECK_HEADERS(gtk/gtk.h glib.h gdk/gdk.h, ,
-  [
-    FOUND=no
-	echo "Cannot find gtk development headers."
-  ])
-  if test -z $FOUND; then
+  AC_CHECK_HEADERS(gtk/gtk.h glib.h gdk/gdk.h, [
     PLUGINS="${PLUGINS} gtk"
     ALIASES="${ALIASES} gvlc"
-  fi
+  ],[
+       echo "Cannot find gtk development headers."
+  ])
   CPPFLAGS=$saved_CPPFLAGS
 fi
 



